# class Puma::StateFile

### Constants

FIELDS

### Public Class Methods

new() click to toggle source

    # File lib/puma/state_file.rb, line 5
    def initialize
      @options = {}
    end

### Public Instance Methods

load(path) click to toggle source

    # File lib/puma/state_file.rb, line 13
    def load(path)
      @options = YAML.load File.read(path)
    end

save(path) click to toggle source

    # File lib/puma/state_file.rb, line 9
    def save(path)
      File.write path, YAML.dump(@options)
    end